#ifndef stlFuncs_h
#define stlFuncs_h

#include <fstream>
#include <sstream>
#include <string>
#include <iostream>
#include <vector>

#include <QDebug>
#include <QFile>
#include <QFileInfo>
#include <QByteArray>
#include <QString>

//-----------------------------------------------------------------------------

struct vertex {
  float x;
  float y;
  float z;
};

class stlFuncs {

public:
  stlFuncs();

static std::vector<float> findBounds(std::vector<std::vector<vertex>>);
static std::vector<float> findLocation(std::vector<std::vector<vertex>>,int);
static float vertexNorm(vertex);
static std::vector<std::vector<vertex>> binarySTLImport(const std::string &);
static std::vector<std::vector<vertex>> asciiSTLImport(std::string);
static std::vector<std::vector<vertex>> STLImport(const QString &);
static void unit(vertex &);

static bool isSTL(std::string);
static int getStlFileFormat(const QString &);
//static bool isBinarySTL(const string &);

};

struct vertex operator ^ (const vertex &, const vertex &);
struct vertex operator - (const vertex &, const vertex &);

#endif